/*
 * Copyright (C) 2023 Hasl Developers
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef HASL_H
#define HASL_H

#ifndef __GI_SCANNER__
# ifdef HASL_COMPILATION
#  error "hasl sources should not include hasl.h"
# endif /* HASL_COMPILATION */
#endif /* __GI_SCANNER__ */

#ifndef HASL_GLOBAL_HEADER_INSIDE
# define HASL_GLOBAL_HEADER_INSIDE
#endif /* HASL_GLOBAL_HEADER_INSIDE */

#include <hasl/haslcontext.h>
#include <hasl/haslcore.h>
#include <hasl/haslmechanism.h>
#include <hasl/haslmechanismexternal.h>
#include <hasl/haslmechanismplain.h>
#include <hasl/haslenums.h>

#undef HASL_GLOBAL_HEADER_INSIDE

#endif /* HASL_H */
